## org.gnu.gdk
Class WindowAttr

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gdk.WindowAttr

public class WindowAttr
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`WindowAttr(Handle handle)`

Method Summary
`protected static Handle` `getColormap(Handle obj)`
`protected static Handle` `getCursor(Handle obj)`
`Dimension` `getDimension()`
`int` `getEventMask()`
`protected static int` `getEventMask(Handle obj)`
`protected static int` `getHeight(Handle obj)`
`protected static boolean` `getOverrideRedirect(Handle obj)`
`Point` `getPosition()`
`java.lang.String` `getTitle()`
`protected static java.lang.String` `getTitle(Handle obj)`
`protected static Handle` `getVisual(Handle obj)`
`protected static Handle` `getWclass(Handle obj)`
`protected static int` `getWidth(Handle obj)`
`protected static int` `getWindowType(Handle obj)`
`protected static java.lang.String` `getWmclassClass(Handle obj)`
`protected static java.lang.String` `getWmclassName(Handle obj)`
`protected static int` `getX(Handle obj)`
`protected static int` `getY(Handle obj)`
`protected void` `setColormap(Handle obj, Handle colormap)`
`protected void` `setCursor(Handle obj, int cursor)`
`void` `setDimension(int width, int height)`
`protected void` `setEventMask(Handle obj, int event_mask)`
`void` `setEventMask(int evtMask)`
`protected void` `setHeight(Handle obj, int height)`
`protected void` `setOverrideRedirect(Handle obj, boolean override_redirect)`
`void` `setPosition(int x, int y)`
`protected void` `setTitle(Handle obj, java.lang.String title)`
`void` `setTitle(java.lang.String title)`
`protected void` `setVisual(Handle obj, Handle visual)`
`protected void` `setWclass(Handle obj, Handle wclass)`
`protected void` `setWidth(Handle obj, int width)`
`protected void` `setWindowType(Handle obj, int window_type)`
`protected void` `setWmclassClass(Handle obj, java.lang.String wmclass_class)`
`protected void` `setWmclassName(Handle obj, java.lang.String wmclass_name)`
`protected void` `setX(Handle obj, int x)`
`protected void` `setY(Handle obj, int y)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowAttr

    public WindowAttr(Handle handle)

Method Detail

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getEventMask

    public int getEventMask()

### setEventMask

    public void setEventMask(int evtMask)

### getPosition

    public Point getPosition()

### setPosition

    public void setPosition(int x,
                            int y)

### setDimension

    public void setDimension(int width,
                             int height)

### getDimension

    public Dimension getDimension()

### getTitle

    protected static final java.lang.String getTitle(Handle obj)

### setTitle

    protected final void setTitle(Handle obj,
                                  java.lang.String title)

### getEventMask

    protected static final int getEventMask(Handle obj)

### setEventMask

    protected final void setEventMask(Handle obj,
                                      int event_mask)

### getX

    protected static final int getX(Handle obj)

### setX

    protected final void setX(Handle obj,
                              int x)

### getY

    protected static final int getY(Handle obj)

### setY

    protected final void setY(Handle obj,
                              int y)

### getWidth

    protected static final int getWidth(Handle obj)

### setWidth

    protected final void setWidth(Handle obj,
                                  int width)

### getHeight

    protected static final int getHeight(Handle obj)

### setHeight

    protected final void setHeight(Handle obj,
                                   int height)

### getWclass

    protected static final Handle getWclass(Handle obj)

### setWclass

    protected final void setWclass(Handle obj,
                                   Handle wclass)

### getVisual

    protected static final Handle getVisual(Handle obj)

### setVisual

    protected final void setVisual(Handle obj,
                                   Handle visual)

### getColormap

    protected static final Handle getColormap(Handle obj)

### setColormap

    protected final void setColormap(Handle obj,
                                     Handle colormap)

### getWindowType

    protected static final int getWindowType(Handle obj)

### setWindowType

    protected final void setWindowType(Handle obj,
                                       int window_type)

### getCursor

    protected static final Handle getCursor(Handle obj)

### setCursor

    protected final void setCursor(Handle obj,
                                   int cursor)

### getWmclassName

    protected static final java.lang.String getWmclassName(Handle obj)

### setWmclassName

    protected final void setWmclassName(Handle obj,
                                        java.lang.String wmclass_name)

### getWmclassClass

    protected static final java.lang.String getWmclassClass(Handle obj)

### setWmclassClass

    protected final void setWmclassClass(Handle obj,
                                         java.lang.String wmclass_class)

### getOverrideRedirect

    protected static final boolean getOverrideRedirect(Handle obj)

### setOverrideRedirect

    protected final void setOverrideRedirect(Handle obj,
                                             boolean override_redirect)